---
layout: docs
title: Cell Input
description: Plugin to add input/select element on the cells of table.
group: extensions
toc: true
---

Use Plugin: [bootstrap-table-cell-input](https://github.com/wenzhixin/bootstrap-table/tree/master/src/extensions/cell-input)

## Usage

{% highlight html %}
<script src="extensions/cell-input/bootstrap-table-cell-input.js"></script>
{% endhighlight %}

## Options

### cellInputEnabled

- **type:** `Boolean`

- **Detail:**

   Set to true to enable the plugin.

- **Default:** `false`

## Column options

### cellInputEnabled

- **type:** `Boolean`

- **Detail:**

   Set to true to make the cell editable.

- **Default:** `false`

### cellInputType

- **type:** `String`

- **Detail:**

   Defines the type of input. available options: `text` and `select`.

- **Default:** `text`

## Example


[http://jsfiddle.net/amatveef/5qztmj0w/](http://jsfiddle.net/amatveef/5qztmj0w/)
